Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-57418

qt5webenginecore has new dependency on qt5positioning

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Not Evaluated
    • Resolution: Invalid
    • Affects Version/s: 5.6.2
    • Fix Version/s: None
    • Component/s: WebEngine
    • Labels:
      None
    • Environment:
      Windows 8.1, Linux (Ubuntu), OSX (10.10.5)

      Description

      I have upgraded from 5.6.1-1 to 5.6.2 today after reviewing the changelogs at http://wiki.qt.io/Qt_5.6.2_Change_Files, and deciding it was a safe upgrade.

      However, my application fails to run, due to a new dependency that Qt5WebEngineCore has on Qt5Positioning, as of 5.6.2, as I previously did not need to deploy Qt5Positioning.

      Since this new dependency was not explicitly mentioned in the WebEngine changelogs (http://code.qt.io/cgit/qt/qtwebengine.git/tree/dist/changes-5.6.2?h=5.6), I would like to confirm that this is an intentional change?

      Attached is a screenshot from depends.exe of my application, showing the missing dependency.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            qt_webengine_team Qt WebEngine Team
            Reporter:
            mark_final Mark Final
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes